Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003567OCamlOCaml generalpublic2005-03-30 19:002010-04-30 08:05
Reporteradministrator 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.10.0 
Summary0003567: bug in type numbering? ('a, 'b, 'c, 'd,...)
DescriptionFull_Name: Marc Herbert
Version: 3.08.2
OS: linux
Submission from: lns-vlq-37-lyo-82-253-101-87.adsl.proxad.net (82.253.101.87)


I find the following error message very confusing

class ['a] someclass x_init =
  object
   val x = x_init
   method get = x
  end;;

Some type variables are unbound in this type:
  class ['a] cltest : 'b -> object val x : 'b method get : 'b end
The method get has type 'a where 'a is unbound


In the second line, get has type 'b, but then get has type 'a in the third
line.


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005427)
garrigue (manager)
2010-04-30 08:05

Actually, I don't remember exactly when it was fixed...

- Issue History
Date Modified Username Field Change
2005-11-18 10:14 administrator New Issue
2010-04-30 08:05 garrigue Note Added: 0005427
2010-04-30 08:05 garrigue Status acknowledged => closed
2010-04-30 08:05 garrigue Resolution open => fixed
2010-04-30 08:05 garrigue Fixed in Version => 3.10.0


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker